Create a leave type (policy)
curl --request POST \
--url https://app.ontime.hosai.app/api/leave/types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"annualQuota": 123,
"accrualRate": 123,
"carryForwardCap": 0,
"allowHalfDay": true,
"requiresHrApproval": true,
"order": 0
}
'import requests
url = "https://app.ontime.hosai.app/api/leave/types"
payload = {
"code": "<string>",
"name": "<string>",
"annualQuota": 123,
"accrualRate": 123,
"carryForwardCap": 0,
"allowHalfDay": True,
"requiresHrApproval": True,
"order": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
name: '<string>',
annualQuota: 123,
accrualRate: 123,
carryForwardCap: 0,
allowHalfDay: true,
requiresHrApproval: true,
order: 0
})
};
fetch('https://app.ontime.hosai.app/api/leave/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"annualQuota": 123,
"accrualMethod": "Monthly",
"accrualRate": 123,
"carryForwardCap": 0,
"allowHalfDay": true,
"requiresHrApproval": true,
"colorTone": "neutral",
"order": 0
}Leave
Create a leave type (policy)
Create a leave type (policy)
POST
/
api
/
leave
/
types
Create a leave type (policy)
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Body
application/json
Available options:
Monthly, Annual, CompOff, None Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
neutral, accent, ok, warn, bad, info Required range:
-9007199254740991 <= x <= 9007199254740991Response
200 - application/json
Success
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
Monthly, Annual, CompOff, None Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
neutral, accent, ok, warn, bad, info Required range:
-9007199254740991 <= x <= 9007199254740991